petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscOptionsGetAll

Lists all the options the program was run with in a single string.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsGetAll(char *copts[])

Not Collective

### Output Parameter

copts - pointer where string pointer is stored

Notes: the array and each entry in the array should be freed with PetscFree()

### See Also

PetscOptionsAllUsed(), PetscOptionsView()

Level:advanced
Location:src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages